Changes between Version 2 and Version 3 of InstallLinux


Ignore:
Timestamp:
Mar 12, 2010 11:38:49 AM (11 years ago)
Author:
toby
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • InstallLinux

    v2 v3  
    1111'''tcsh''': this shell is needed to run the GSAS script. If you will only use EXPGUI, this is not needed. It does not seem to be loaded by default. The presence of this can be tested by typing `ls /bin/tcsh`. To load the package use `yum install tcsh` (works on Redhat).
    1212
    13 '''Tcl/Tk & BLT''': EXPGUI requires the Tcl/Tk interpreter to run. In addition, the BLT graphics package is required for plots (EXPGUI may run without this). It is possible to load Tcl/Tk and BLT on most versions of Linux, but there seems to be problems running BLT under Tcl/Tk 8.5. There is also a version of Tcl/Tk that is included with the GSAS/EXPGUI distribution (`.../gsas/exe/ncnrpack`), but this has problems on some platforms
     13'''Tcl/Tk & BLT''': EXPGUI requires the Tcl/Tk interpreter to run. In addition, the BLT graphics package is required for plots (EXPGUI may run without this). It is possible to load Tcl/Tk and BLT on most versions of Linux, but there seems to be problems running BLT under Tcl/Tk 8.5. There is also a version of Tcl/Tk that is included with the GSAS/EXPGUI distribution (`.../gsas/exe/ncnrpack`), but this has problems on some platforms.
    1414
    15 If you plan to use the GSAS shell script, you may need to load the tcsh shell. (To test, type 'which tcsh' at the command line.) To load tcsh use command 'yum install tcsh' (Redhat)
     15  Fedora core 10: the `.../gsas/exe/ncnrpack` image fails, but the blt.i386 (2.4-28.z.fc10) package works fine.
    1616
    17 You will need the subversion package to be installed. This can be tested by typing 'which svn'.
    18 To load tcsh use command 'yum install subversion' (Redhat)
     17  Fedora core 12: the initial yum-loaded version of BLT failed. Be sure to upgrade to blt.i686 (2.4-'''32'''.z.fc12 or later); the `.../gsas/exe/ncnrpack` also image works fine, but has less attractive fonts.
    1918
    2019== Installation Commands ==
     
    2524 * curl http://11bm.xor.aps.anl.gov/downloads/gsas/svnload/gsassvnlinux.tar.gz | tar xvzf -
    2625 * python bootstrap.py
     26
     27It should be noted that GSAS and EXPGUI desktop shortcuts are created for Gnome (but the icons are not working for FC 12).